<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4270
Name: Temporary Disablement Observation (01)
Description: Zeitraum der Arbeitsunfähigkeit (Dieses Template wurde an "Inability To Work Observation" (CDA-CH2) angepasst. Dadurch wurden die Datumsangaben verschoben.)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4270-2017-05-24T163716">
   <title>Temporary Disablement Observation (01)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]
Item: (F01TemporaryDisablementObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]
Item: (F01TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]"
         id="d18e1825-false-d8894e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="string(@classCode)=('OBS')">(F01TemporaryDisablementObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="string(@moodCode)=('EVN')">(F01TemporaryDisablementObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4270'])&gt;=1">(F01TemporaryDisablementObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4270'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4270'])&lt;=1">(F01TemporaryDisablementObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4270'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:code[(@code='X-IATWRK' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(F01TemporaryDisablementObservation): Element hl7:code[(@code='X-IATWRK' and @codeSystem='2.16.840.1.113883.6.1')] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:code[(@code='X-IATWRK' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(F01TemporaryDisablementObservation): Element hl7:code[(@code='X-IATWRK' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:text)&lt;=1">(F01TemporaryDisablementObservation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:effectiveTime)&gt;=1">(F01TemporaryDisablementObservation): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:effectiveTime)&lt;=1">(F01TemporaryDisablementObservation): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(F01TemporaryDisablementObservation): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(F01TemporaryDisablementObservation): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:performer[not(@nullFlavor)])&gt;=1">(F01TemporaryDisablementObservation): Element hl7:performer[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:performer[not(@nullFlavor)])&lt;=1">(F01TemporaryDisablementObservation): Element hl7:performer[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:templateId[@root='1.2.276.0.76.10.4270']
Item: (F01TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:templateId[@root='1.2.276.0.76.10.4270']"
         id="d18e1831-false-d8986e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="string(@root)=('1.2.276.0.76.10.4270')">(F01TemporaryDisablementObservation): Der Wert von @root MUSS '1.2.276.0.76.10.4270' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:code[(@code='X-IATWRK' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (F01TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:code[(@code='X-IATWRK' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d18e1836-false-d9002e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="string(@displayName)=('Inability to work') or not(@displayName)">(F01TemporaryDisablementObservation): Der Wert von @displayName MUSS 'Inability to work' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(F01TemporaryDisablementObservation): Attribute @displayName MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="string(@codeSystemName)=('LOINC') or not(@codeSystemName)">(F01TemporaryDisablementObservation): Der Wert von @codeSystemName MUSS 'LOINC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(F01TemporaryDisablementObservation): Attribute @codeSystemName MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="string(@codeSystem)=('2.16.840.1.113883.6.1')">(F01TemporaryDisablementObservation): Der Wert von @codeSystem MUSS '2.16.840.1.113883.6.1' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="string(@code)=('X-IATWRK')">(F01TemporaryDisablementObservation): Der Wert von @code MUSS 'X-IATWRK' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:qualifier[hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]])&lt;=1">(F01TemporaryDisablementObservation): Element hl7:qualifier[hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:code[(@code='X-IATWRK' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:qualifier[hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]
Item: (F01TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:code[(@code='X-IATWRK' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:qualifier[hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]"
         id="d18e1846-false-d9044e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor])&gt;=1">(F01TemporaryDisablementObservation): Element hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor])&lt;=1">(F01TemporaryDisablementObservation): Element hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:value)&gt;=1">(F01TemporaryDisablementObservation): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="count(hl7:value)&lt;=1">(F01TemporaryDisablementObservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:code[(@code='X-IATWRK' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:qualifier[hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]/hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (F01TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:code[(@code='X-IATWRK' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:qualifier[hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]/hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d18e1851-false-d9077e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="@nullFlavor or (@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(F01TemporaryDisablementObservation): Der Elementinhalt MUSS einer von 'code 'x7AU' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:code[(@code='X-IATWRK' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:qualifier[hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]/hl7:value
Item: (F01TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:code[(@code='X-IATWRK' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:qualifier[hl7:name[(@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]/hl7:value"
         id="d18e1856-false-d9094e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:text
Item: (F01TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:text"
         id="d18e1860-false-d9105e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:effectiveTime
Item: (F01TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:effectiveTime"
         id="d18e1863-false-d9116e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="not(../hl7:performer/hl7:time/@value) or ../hl7:performer/hl7:time/@value &lt;= hl7:high/@value">(F01TemporaryDisablementObservation): Zeitraum der Arbeitsunfähigkeit. Das Feststellungsdatum muss vor dem Ende der Arbeitsunfähigkeit leigen!</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:effectiveTime/hl7:low
Item: (F01TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:effectiveTime/hl7:low"
         id="d18e1868-false-d9135e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="not(*)">(F01TemporaryDisablementObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:effectiveTime/hl7:high
Item: (F01TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:effectiveTime/hl7:high"
         id="d18e1874-false-d9149e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="not(*)">(F01TemporaryDisablementObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:value[not(@nullFlavor)]
Item: (F01TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:value[not(@nullFlavor)]"
         id="d18e1881-false-d9163e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="(@nullFlavor or (number(@value)&gt;=0 and number(@value)&lt;=100 and (matches(string(@value), '^[-+]?[0-9]*$'))))">(F01TemporaryDisablementObservation): value MUSS im Bereich [0..100] liegen  und mindestens 0 Nachkommastellen haben </assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(F01TemporaryDisablementObservation): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(F01TemporaryDisablementObservation): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="string(@unit)=('%') or not(@unit)">(F01TemporaryDisablementObservation): Der Wert von @unit MUSS '%' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4270-2017-05-24T163716.html"
              test="not(@value) or matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')">(F01TemporaryDisablementObservation): Attribute @value ist keine gültige int Zahl <value-of select="@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]
Item: (F01TemporaryDisablementObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.323
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]
Item: (CDAPerformerBody)
-->
   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="string(@typeCode)=('PRF') or not(@typeCode)">(CDAPerformerBody): Der Wert von @typeCode MUSS 'PRF' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAPerformerBody): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:modeCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CDAPerformerBody): Element hl7:modeCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&gt;=1">(CDAPerformerBody): Element hl7:assignedEntity ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAPerformerBody): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.323
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:time
Item: (CDAPerformerBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.323
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:modeCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CDAPerformerBody)
-->
   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:modeCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAPerformerBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16543 ParticipationMode (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.323
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:assignedEntity
Item: (CDAPerformerBody)
-->
   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:assignedEntity">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAPerformerBody): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1">(CDAPerformerBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor])&lt;=1">(CDAPerformerBody): Element hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAPerformerBody): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAPerformerBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:assignedEntity/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:assignedEntity/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:assignedEntity/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAssignedEntity): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:assignedEntity/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:assignedEntity/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4270']]/hl7:performer[not(@nullFlavor)]/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
--></pattern>
